#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'utility.log'}
#{/set}
<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'utility.home'}</a></li>
	<li class="active">&{'utility.data_log'}</li>
</ol>

<div class="content">
<table class="table table-sm" id="tblAccessLog">
    <thead>
    <tr>
        <th>&{'utility.id_user'}</th>
        <th>&{'utility.waktu_login'}</th>
        <th>&{'utility.waktu_logout'}</th>
        <th>&{'utility.ip'}</th>
    </tr>
    </thead>
    <tbody>
    </tbody>
</table>
</div>

#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var table = $("#tblAccessLog").DataTable({
    order: [[ 1, "desc"]],
    ajax: "@{DataTableCtr.accessLog()}",
    columns: [null,{sortable:false, render: function(data, type, row) {
                return row[1];
    	}},null,null]
});
  $('#tblAccessLog_filter input').unbind();
    $('#tblAccessLog_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}

